OPTIONS NOCENTER;
TITLE1 'analysis of riesby data - empirical bayes estimates';

DATA one;
  INFILE 'c:\SAS_long\riesby.dat.txt';
  INPUT id hamd intcpt week endog endweek ;

PROC MIXED METHOD=ML COVTEST;
  CLASS id;
  MODEL hamd = week ENDOG ENDWEEK /SOLUTION;
  RANDOM INTERCEPT week /SUB=id TYPE=UN G GCORR;
  ESTIMATE 'grp diff at week 5' endog 1 endweek 5;
  TITLE2 'random trend model';run;
  
PROC MIXED METHOD=ML COVTEST;
  CLASS id;
  MODEL hamd = week /SOLUTION;
  RANDOM INTERCEPT week /SUB=id TYPE=UN G S;
  ODS LISTING EXCLUDE SOLUTIONR; ODS OUTPUT SOLUTIONR=randest;
  TITLE2 'random trend model';
  run;

 /* print out the estimated random effects dataset */
PROC PRINT DATA=randest;
run;

/* get a printout of the data in multivariate form */
PROC SORT DATA=one; BY id; 
DATA t0;SET one; IF week=0; hamd_0 = hamd; 
DATA t1;SET one; IF week=1; hamd_1 = hamd; 
DATA t2;SET one; IF week=2; hamd_2 = hamd; 
DATA t3;SET one; IF week=3; hamd_3 = hamd; 
DATA t4;SET one; IF week=4; hamd_4 = hamd; 
DATA t5;SET one; IF week=5; hamd_5 = hamd; 
DATA comp (KEEP=id hamd_0-hamd_5); MERGE t0 t1 t2 t3 t4 t5; BY id;
PROC PRINT DATA=comp; VAR id hamd_0-hamd_5;
run;

/* extract the intercepts and slopes for each person */
/* and compute the estimated hamd values across time */
PROC SORT DATA=randest; BY id;
DATA randest2 (KEEP=id intdev slopedev int slope hdest_0-hdest_5);

     ARRAY y(2) intdev slopedev;
     DO par = 1 TO 2;
        SET randest;
        BY id;
        y(par) = ESTIMATE;
        IF par = 2 THEN DO;
           int    = 23.5769 + intdev;
           slope  = -2.3771 + slopedev;
           hdest_0 = int;
           hdest_1 = int + slope;
           hdest_2 = int + 2*slope;
           hdest_3 = int + 3*slope;
           hdest_4 = int + 4*slope;
           hdest_5 = int + 5*slope;
         END;
        IF LAST.id THEN RETURN;
     END;

PROC PRINT DATA=randest2; VAR id hdest_0-hdest_5;
run;

PROC SGPLOT  DATA=randest2;
     SCATTER X=slope Y=int;
     TITLE2 'plot of individual intercepts versus slopes';
RUN;
