* Riesby random intercept and trend model
cd "u:\Stata_long\"
log using riesby_mataest.log, replace
mata
/* beta estimates and covariate matrix for intercept and week */
beta = (23.57695 \  -2.377067 )
xmat = (1, 0 \
        1, 1 \
        1, 2 \
		1, 3 \
		1, 4 \
        1, 5)
xbeta = xmat*beta
/* estimate means across time */
xbeta

/* variance-covariance estimates */
vare = 12.21663
varu = (12.6293, -1.420933 \
      -1.420933,  2.078992) 
zmat = xmat
vary = zmat * varu * zmat' + vare * I(6)
vary	  

/* get CIs for int and slope */
int_lo = beta[1,1] - invnormal(.975)*sqrt(varu[1,1])
int_hi = beta[1,1] + invnormal(.975)*sqrt(varu[1,1])
int_lo, int_hi
slope_lo = beta[2,1] - invnormal(.975)*sqrt(varu[2,2])
slope_hi = beta[2,1] + invnormal(.975)*sqrt(varu[2,2])
slope_lo, slope_hi

/* end mata session */
end
log close

