cd "u:\Stata_long\"
log using riesbydesc.log, replace
infile  id hamd intcpt week endog endweek using RIESBY.DAT.txt, clear
* remove observations with missing hamd 
drop if mi(hamd)
summarize

* hamd descriptives across time by group
format hamd %6.2f
tabulate endog week, summarize(hamd) wrap

* reshape data to wide format 
reshape wide hamd endweek, i(id) j(week)

* listwise deleted correlation matrix 
corr hamd0 hamd1 hamd2 hamd3 hamd4 hamd5

* pairwise deleted correlation matrix 
pwcorr hamd0 hamd1 hamd2 hamd3 hamd4 hamd5

log close
