cd "u:\Stata_long\"
log using riesbyplot.log, replace
infile  id hamd intcpt week endog endweek using RIESBY.DAT.txt, clear
* remove observations with missing hamd 
drop if mi(hamd)
summarize

* spaghetti plot
twoway connected hamd week, connect(L) 

* boxplots across weeks
graph box hamd, over(week) b1title("week")

* histograms of hamd across weeks
twoway histogram hamd if week==0, width(1) name(hamd0)
twoway histogram hamd if week==1, width(1) name(hamd1)
twoway histogram hamd if week==2, width(1) name(hamd2)
twoway histogram hamd if week==3, width(1) name(hamd3)
twoway histogram hamd if week==4, width(1) name(hamd4)
twoway histogram hamd if week==5, width(1) name(hamd5)
graph combine hamd0 hamd1 hamd2 hamd3 hamd4 hamd5

* reshape data to wide format 
reshape wide hamd endweek, i(id) j(week)

* matrix plot of hamd across weeks 
graph matrix hamd0 hamd1 hamd2 hamd3 hamd4 hamd5
log close
