* Spaghetti plots and more for the Riesby dataset;
* thanks are due to Lee Branum-Martin for providing most of the code;

DATA one;
  INFILE 'u:\SAS_long\RIESBY.DAT.txt';
  INPUT id HamD Intcpt Week Endog EndWeek ;


* get the data in multivariate format for a matrix plot;
PROC SORT; BY id;RUN;     
DATA t0;SET one; IF week=0; hamd_0 = hamd; RUN;
DATA t1;SET one; IF week=1; hamd_1 = hamd; RUN;
DATA t2;SET one; IF week=2; hamd_2 = hamd; RUN;
DATA t3;SET one; IF week=3; hamd_3 = hamd; RUN;
DATA t4;SET one; IF week=4; hamd_4 = hamd; RUN;
DATA t5;SET one; IF week=5; hamd_5 = hamd; RUN;
DATA comp (KEEP=id hamd_0-hamd_5);
     MERGE t0 t1 t2 t3 t4 t5; BY id;
RUN;

* get a sorted dataset by Week for Box plots;
DATA SortData;
     SET one;
PROC SORT;
BY Week;
RUN;


* plot specifications;
OPTIONS ORIENTATION=LANDSCAPE;
ODS GRAPHICS ON;
ODS PDF FILE="u:\SAS_long\RIESBYplot2.pdf";

* matrix plot;
        TITLE 'Hamilton Depression Measures Across Time';
        PROC SGSCATTER DATA=comp;
        MATRIX hamd_0-hamd_5 / DIAGONAL=(HISTOGRAM KERNEL);
        RUN;

* box plots across time;
        TITLE 'Box Plot for Hamilton Depression Measures Across Time';
        PROC BOXPLOT DATA=SortData;
        PLOT HamD*Week / BOXSTYLE=SCHEMATIC;
        RUN;

* spaghetti, regression, and spline plots;
        TITLE 'Observed Data, All Subjects';
        PROC SGPLOT NOAUTOLEGEND DATA=one;
        * observed trends;
                SERIES X=Week Y=HamD / GROUP = id LINEATTRS = (THICKNESS=1);
        *overall linear ;
                REG X=Week Y=HamD / NOMARKERS LINEATTRS = (COLOR=BLUE PATTERN=1 THICKNESS=3);
        *overall spline;
                PBSPLINE X=Week Y=HamD / NOMARKERS LINEATTRS = (COLOR=RED THICKNESS=3);
        RUN;



ODS PDF CLOSE;
ODS GRAPHICS OFF;

